#include <QApplication>
#include <QDeclarativeProperty>
#include <QDeclarativeContext>
#include "qmlapplicationviewer.h"
#include "mydeclarativewebview.h"

bool isSmallResolution;

Q_DECL_EXPORT int main(int argc, char *argv[])
{
    QString current;
    QString currentName;
    QString currentVal;
    int idxOf=0;

    isSmallResolution = false;

    /* Parse command line arguments */
    for(int i=0; i<argc; i++)
    {
        current = argv[i];
        idxOf = current.indexOf("=");
        if(idxOf == -1)
        {
            currentName = current;
            currentVal = QString();
        }else{
            currentName = current.left(idxOf);
            currentVal = current.mid(idxOf+1);
        }

        if(currentName.count())
        {
            if(currentName.contains(QString("smallresolution")))
            {
                // use small resolution
                isSmallResolution = true;
                int j=i;
                while(j<argc)
                {
                    argv[j]=argv[j+1];
                    j++;
                }
            }
        }

    }

    QScopedPointer<QApplication> app(createApplication(argc, argv));

    QmlApplicationViewer viewer;
    viewer.setOrientation(QmlApplicationViewer::ScreenOrientationAuto);

    qmlRegisterType<MyQDeclarativeWebView>("MyQDeclarativeWebView", 1, 0, "MyQDeclarativeWebView");

    if (isSmallResolution) {
        viewer.setGeometry(0, 0, 480, 272);
        viewer.setMainQmlFile(QLatin1String("qml/smallwebbrowser/webbrowser.qml"));
    } else {
        viewer.setMainQmlFile(QLatin1String("qml/webbrowser/webbrowser.qml"));
    }



    QObject* object = (QObject*)(viewer.rootObject());
     QDeclarativeProperty property(object, QString("urlString"));
     property.write(argv[1]);

//     viewer.show();
    viewer.showFullScreen();
    qApp->setOverrideCursor( QCursor( Qt::BlankCursor ) );

    return app->exec();
}
